AX Client not able install

Hi,

Recent facing a problem when install AX client in Window 7 pro, it abort the installation half way.

Window &, Pro, framework 3.5 & 4.0

I not sure does it related to framework .NET version which causing the failure of installation.

Any one experience that?

Regards

HAKO

Hello,

When the installation is aborted, does Ax return you the error log file? Can you please post details of that error log? Also are there any entries in Event viewer?

Best wishes,

hi,

Pls see the logfile :-

RegAsm : error RA0000 : Could not load file or assembly ‘System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a’ or one of its dependencies. The system cannot find the file specified.

Install: During Setup of Client an error occurred. Program run: C:\windows\Microsoft.NET\Framework\v4.0.30319\regasm.exe. Parameters: “C:\Program Files\Microsoft Dynamics AX\Common\MindKeyGroup.MindKey.Wheel.dll” /tlb /codebase
Install: Error during Setup:
Install: An error occurred during the Client install custom action step within the Microsoft Dynamics AX components installer. For details, see the previous messages in the log.
Install: During Setup of Client an error occurred. Program run: C:\windows\Microsoft.NET\Framework\v4.0.30319\regasm.exe. Parameters: “C:\Program Files\Microsoft Dynamics AX\Common\MindKeyGroup.MindKey.Wheel.dll” /tlb /codebase
Install: at Microsoft.Dynamics.Setup.InstallCommonMisc.RunProcess(String fileName, String args, String displayName)
at Microsoft.Dynamics.Setup.InstallCommonMisc.Regasm(String versionOfRegasmToRun, String dll, String displayName)
at Microsoft.Dynamics.Setup.InstallCommonMisc.Regasm(String dll, String displayName)
at Microsoft.Dynamics.Setup.ClientUI.Install(InstallDriver installDriver)
at Microsoft.Dynamics.Setup.InstallDriver.Install(IDictionary stateSaver)

Install: Client End 6/8/2010 11:01:51 AM

Hi HAKO

Just uninstall .net framework 4 xxxxxxxxxxxxxxxxxxx. then it will work fine. It get install in window 7 when you install MS Office 2010 I think.

I had got the same error and got solution by uninstalling that.

Regards

Rajesh

Hi,

Yes, need downgrade all window 7 to net framnework 3.5, AX client only able install.

I wondering why .net frame work 4 not support AX client installation.

Does it normal? or any microsoft document stated, AX client not support for framework 4?

Regards

Hi,

As you may be aware system requirements of DAX components clearly mention .NET framework 3.5 is a requirement.

As far as .NET Framework 4.0, there is only this article from MS which describes compatibility issues of DAX 2009 components (role centers, workflow, AIF) with .NET Framework 4.0 - http://blogs.msdn.com/b/emeadaxsupport/archive/2010/07/27/when-browsing-ax-2009-role-centers-you-get-an-error-an-unexpected-error-has-occurred-on-systems-with-net-framework-v4-0-installed.aspx

But seeing that Ax client is also an issue, I hope MS would write about this issue at some point.

Best wishes,

Hi,

Thx. :slight_smile: Read the system requirement for dynamic AX from MS web: -

Software requirements for all computers

The following software must be present on a computer before any Microsoft Dynamics AX components can be installed:

  • Microsoft .NET Framework 3.5

    Note: To use Microsoft Dynamics AX with Service Pack 1 for .NET Framework 3.5, you may need to download and install the hotfix package available with Microsoft Knowledge Base article number 957312.

    Microsoft .NET Framework 4.0 is supported when installed side-by-side with .NET Framework 3.5.

Do you know the meaning of 'Site-by Site" of following sentences:

Microsoft .NET Framework 4.0 is supported when installed side-by-side with .NET Framework 3.5**."???**

Did you Install Service pack…?

Yes, Window 7 service pack 2.